﻿//potegowanie z uwzglednieniem wykladnikow ujemnych
//www.algorytm.org

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PotegowanieZUwzglednieniemUjemnegoWykladnika
{
    class Program
    {
        static int WalidacjaDanych(string tekst)
        {
            int liczba;
            Console.Write(tekst);

            while (!int.TryParse(Console.ReadLine(), out liczba))
                Console.Write("Wprowadzono nieprawidłową wartość. Spróbuj jeszcze raz: ");

            return liczba;

        }
        static void Main(string[] args)
        {
            int podstawa, wykladnik, wynik = 1;

            podstawa = WalidacjaDanych("Podaj podstawę potęgi: ");
            wykladnik = WalidacjaDanych("Podaj wykładnik potęgi: ");

            int licznik = Math.Abs(wykladnik);

            if (wykladnik == 0)
            {
                if (podstawa == 0)
                    Console.WriteLine("0 do potęgi 0 jest wyrażeniem nieoznaczonym");
                else
                    Console.WriteLine(podstawa + " do potęgi 0 = 1");

                Console.ReadLine();
                return;
            }
            else
            {
                while (licznik > 0)
                {
                    wynik *= podstawa;
                    licznik--;
                }

                if (wykladnik < 0)
                    Console.WriteLine("{0} do potęgi {1} = 1/{2} = {3}", podstawa, wykladnik, wynik, 1.0/wynik);
                else
                    Console.WriteLine("{0} do potęgi {1} = {2}", podstawa, wykladnik, wynik);
            }

            Console.ReadLine();
        }
    }
}
